ABORT(7)

NAME
ABORT - abort the current transaction

SYNOPSIS

ABORT [ WORK | TRANSACTION ] [ AND [ NO ] CHAIN ]

DESCRIPTION

ABORT rolls back the current transaction and causes all the updates made by the transaction to be discarded. This command is identical in behavior to the standard SQL command ROLLBACK, and is present only for historical reasons.

PARAMETERS

WORK
TRANSACTION
    Optional key words. They have no effect.

AND CHAIN
    If AND CHAIN is specified, a new transaction is immediately started with the same transaction characteristics (see SET TRANSACTION) as the just finished one. Otherwise, no new transaction is started.

NOTES

Use COMMIT to successfully terminate a transaction.

Issuing ABORT outside of a transaction block emits a warning and otherwise has no effect.

EXAMPLES

To abort all changes:

    ABORT;

COMPATIBILITY

This command is a PostgreSQL extension present for historical reasons. ROLLBACK is the equivalent standard SQL command.

SEE ALSO
BEGIN(7), COMMIT(7), ROLLBACK(7)